Browse Source

Mention log and pidfile location in tor.1

svn:r1256
Peter Palfrader 20 years ago
parent
commit
14963e4af5
3 changed files with 49 additions and 0 deletions
  1. 7 0
      debian/changelog
  2. 1 0
      debian/patches/00list
  3. 41 0
      debian/patches/02_add_debian_files_in_manpage.dpatch

+ 7 - 0
debian/changelog

@@ -1,3 +1,10 @@
+tor (0.0.1+0.0.2pre25-2) unreleased; urgency=low
+
+  * UNRELEASED
+  * Mention log and pidfile location in tor.1.
+
+ -- Peter Palfrader <weasel@debian.org>  Wed, 10 Mar 2004 16:32:01 +0100
+
 tor (0.0.1+0.0.2pre25-1) unstable; urgency=low
 
   * New upstream release.

+ 1 - 0
debian/patches/00list

@@ -1 +1,2 @@
 01_uncomment_datadirectory.dpatch
+02_add_debian_files_in_manpage.dpatch

+ 41 - 0
debian/patches/02_add_debian_files_in_manpage.dpatch

@@ -0,0 +1,41 @@
+#! /bin/sh -e
+## 02_add_debian_files_in_manpage.dpatch by  <weasel@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/weasel/projects/tor/cvs/doc/tor.1.in cvs/doc/tor.1.in
+--- /home/weasel/projects/tor/cvs/doc/tor.1.in	2004-03-01 23:41:25.000000000 +0100
++++ cvs/doc/tor.1.in	2004-03-10 16:30:49.000000000 +0100
+@@ -137,6 +137,12 @@
+ .TP
+ .I @LOCALSTATEDIR@/lib/tor/
+ The tor server stores keys/etc here.
++.TP
++.I /var/log/tor/log
++The tor server logs to this file.
++.TP
++.I /var/run/tor/tor.pid
++The PID of the tor (master) process is stored in this file.
+ 
+ .SH SEE ALSO
+ .BR privoxy (1),